
Infrastructure - Task #4079

Story # 3875 (Closed): Create a dashboard (version 1) for DataONE to provide high level overall system status

Enable CORS support for the production CNs

2013-10-11 19:37 - Chris Jones

Status: Closed Start date: 2013-10-11

Priority: Normal Due date:  

Assignee: Chris Jones % Done: 100%

Category: d1_cn_buildout Estimated time: 0.00 hour

Target version: 2014.14-Block.2.3   

Milestone: CCI-1.2 Story Points:  

Product Version: *   

Description

We need to change the Apache configuration on the production CNs to enable the Access-Control-Allow-Origin header in

dataone-cn-os-core's postinst.

Related issues:

Related to Infrastructure - Story #4025: Release CCI 1.2.3 Features Closed 2013-10-02 2013-10-26

Associated revisions

Revision 3378d5d4 - 2013-10-14 15:46 - Chris Jones

Enable the Apache mod_headers module in dataone-cn-os-core to allow CNs to handle CORS requests.  Modify the cn-ssl config to enable the

Access-Control-Allow-Origin header in responses.  This commit refs and closes #4079.

Revision 12695 - 2013-10-14 15:46 - Chris Jones

Enable the Apache mod_headers module in dataone-cn-os-core to allow CNs to handle CORS requests.  Modify the cn-ssl config to enable the

Access-Control-Allow-Origin header in responses.  This commit refs and closes #4079.

Revision 12695 - 2013-10-14 15:46 - Chris Jones

Enable the Apache mod_headers module in dataone-cn-os-core to allow CNs to handle CORS requests.  Modify the cn-ssl config to enable the

Access-Control-Allow-Origin header in responses.  This commit refs and closes #4079.

Revision 12695 - 2013-10-14 15:46 - Chris Jones

Enable the Apache mod_headers module in dataone-cn-os-core to allow CNs to handle CORS requests.  Modify the cn-ssl config to enable the

Access-Control-Allow-Origin header in responses.  This commit refs and closes #4079.

Revision 12695 - 2013-10-14 15:46 - Chris Jones

Enable the Apache mod_headers module in dataone-cn-os-core to allow CNs to handle CORS requests.  Modify the cn-ssl config to enable the

Access-Control-Allow-Origin header in responses.  This commit refs and closes #4079.

History

#1 - 2013-10-14 15:46 - Chris Jones

- Status changed from New to Closed

- translation missing: en.field_remaining_hours set to 0.0

- % Done changed from 0 to 100

I've enabled this in data one-cn-os-core.
#2 - 2013-10-28 16:17 - Chris Jones

- Target version changed from 2013.37-Block.5.2 to 2013.44-Block.6.1

#3 - 2014-01-06 18:32 - Chris Jones

- Target version changed from 2013.44-Block.6.1 to 2014.2-Block.1.1

#4 - 2014-03-14 17:12 - Skye Roseboom

- Target version changed from 2014.2-Block.1.1 to 2014.12-Block.2.2

#5 - 2014-03-31 17:41 - Skye Roseboom

- Target version changed from 2014.12-Block.2.2 to 2014.14-Block.2.3
